StableOps
API 参考

按用户查询商户订阅

根据商户用户标识查询 StableOps 订阅,将业务账户与对应订阅记录关联,核对返回状态后处理服务开通与续费提示。订阅按周期开票,用户仍需主动用钱包付款,自动开票不代表自动扣款。商户应结合账单结算、当前账期及订阅状态管理服务权限,不依赖前端返回判断成功。

GET/v1/merchant/subscriptions/by-user/{merchantUserId}

Authorization

bearerAuth
AuthorizationBearer <token>

Paste your API key from the dashboard.

In: header

Path Parameters

merchantUserId*unknown

Merchant user id.

Response Body

application/json

curl -X GET "https://example.com/v1/merchant/subscriptions/by-user/{merchantUserId}"
{
  "id": "string",
  "merchant_user_id": "string",
  "plan_id": "string",
  "status": "incomplete",
  "current_period_start": "2019-08-24T14:15:22Z",
  "current_period_end": "2019-08-24T14:15:22Z",
  "cancel_at_period_end": true,
  "pending_plan_id": "string",
  "pending_plan_change_at": "2019-08-24T14:15:22Z",
  "trial_ends_at": "2019-08-24T14:15:22Z",
  "canceled_at": "2019-08-24T14:15:22Z",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}

这篇文档怎么样?

最后更新